Canvas5GraphInternal::State Struct Reference documentation

Canvas5GraphInternal::State Struct Reference

Internal: the state of a Canvas5Graph. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::shared_ptr< Canvas5Structure::Stream > | m_dataStream
| the data shape stream
bool | m_dataStreamReverted
| a flag to retrieved the data shape entry
std::vector< MWAWEntry > | m_shapeZones
| the shape data zones
std::map< int, Shape > | m_idToShapeMap
| the map id to shape
std::map< long, ShapeData > | m_posToShapeDataMap
| the map id to shape data
std::map< int, std::array< std::array< double, 9 >, 2 > > | m_idToMatrices
| the map id to matrices
std::set< int > | m_sendIdSet
| the list of current send shape id (used to avoid loop)
std::set< int > | m_sendAGIFIdSet
| the list of current send GIF id (used to avoid loop)
std::set< std::vector< unsigned > > | m_sendMACOIdSet
| the list of current send macro id (used to avoid loop)

## Detailed Description

Internal: the state of a Canvas5Graph.

## Constructor & Destructor Documentation

## ◆ State()

Canvas5GraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_dataStream

std::shared_ptr<Canvas5Structure::Stream> Canvas5GraphInternal::State::m_dataStream

the data shape stream

Referenced by State().

## ◆ m_dataStreamReverted

bool Canvas5GraphInternal::State::m_dataStreamReverted

a flag to retrieved the data shape entry

Referenced by State().

## ◆ m_idToMatrices

std::map<int, std::array<std::array<double, 9>, 2> > Canvas5GraphInternal::State::m_idToMatrices

the map id to matrices

Referenced by State().

## ◆ m_idToShapeMap

std::map<int, Shape> Canvas5GraphInternal::State::m_idToShapeMap

the map id to shape

Referenced by State().

## ◆ m_posToShapeDataMap

std::map<long, ShapeData> Canvas5GraphInternal::State::m_posToShapeDataMap

the map id to shape data

Referenced by State().

## ◆ m_sendAGIFIdSet

std::set<int> Canvas5GraphInternal::State::m_sendAGIFIdSet

the list of current send GIF id (used to avoid loop)

Referenced by State().

## ◆ m_sendIdSet

std::set<int> Canvas5GraphInternal::State::m_sendIdSet

the list of current send shape id (used to avoid loop)

Referenced by State().

## ◆ m_sendMACOIdSet

std::set<std::vector<unsigned> > Canvas5GraphInternal::State::m_sendMACOIdSet

the list of current send macro id (used to avoid loop)

Referenced by State().

## ◆ m_shapeZones

std::vector<MWAWEntry> Canvas5GraphInternal::State::m_shapeZones

the shape data zones

Referenced by State().

The documentation for this struct was generated from the following file:

- Canvas5Graph.cxx